Subject: Re: bug#23956: 25.1.50; Underscore display error in WoMan mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 06 Jul 2021 19:47:55 +0200

Meiyo Peng <[email-masked]> writes:

> The underscore character "_" is displayed as a backslash and an
> underscore "\_" in WoMan mode. Is this a bug or a feature?
>
> This is from ~M-x woman docker-attach~:
>
> #+BEGIN_EXAMPLE
>   * \\ (two backward slashes)
>   * \_ (underscore)
>   * ^ (caret)
> #+END_EXAMPLE
>
> This is from ~M-x man docker-attach~:
>
> #+BEGIN_EXAMPLE
>   · \\ (two backward slashes)
>   · _ (underscore)
>   · ^ (caret)
> #+END_EXAMPLE

(I'm going through old bug reports that unfortunately got little response at
the time.)

I tried this in Emacs 25.1 (and 28) on Debian/bullseye, and I can't see
anything obviously wrong, but perhaps I'm looking at the wrong thing.

Are you still seeing this issue in more recent Emacs/Debian versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no